summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/cinder/Manifest1
-rw-r--r--sys-cluster/cinder/cinder-2015.1.2.ebuild206
-rw-r--r--sys-cluster/cinder/cinder-2015.1.9999.ebuild12
-rw-r--r--sys-cluster/libcircle/Manifest1
-rw-r--r--sys-cluster/libcircle/libcircle-0.2.1_rc1.ebuild44
-rw-r--r--sys-cluster/libquo/Manifest1
-rw-r--r--sys-cluster/libquo/libquo-1.2.4-r1.ebuild38
-rw-r--r--sys-cluster/neutron/Manifest1
-rw-r--r--sys-cluster/neutron/neutron-2015.1.2.ebuild253
-rw-r--r--sys-cluster/neutron/neutron-2015.1.9999.ebuild16
-rw-r--r--sys-cluster/nova/Manifest1
-rw-r--r--sys-cluster/nova/nova-2015.1.2.ebuild254
-rw-r--r--sys-cluster/nova/nova-2015.1.9999.ebuild17
-rw-r--r--sys-cluster/ploop/Manifest1
-rw-r--r--sys-cluster/ploop/files/disable_create_run_dir.patch21
-rw-r--r--sys-cluster/ploop/ploop-1.14.1.ebuild61
-rw-r--r--sys-cluster/util-vserver/util-vserver-0.30.216_pre3025.ebuild3
-rw-r--r--sys-cluster/util-vserver/util-vserver-0.30.216_pre3062.ebuild3
-rw-r--r--sys-cluster/util-vserver/util-vserver-0.30.216_pre3120.ebuild3
-rw-r--r--sys-cluster/vzctl/Manifest3
-rw-r--r--sys-cluster/vzctl/vzctl-4.9.2.ebuild86
-rw-r--r--sys-cluster/vzctl/vzctl-4.9.4.ebuild (renamed from sys-cluster/vzctl/vzctl-4.9.3.ebuild)0
22 files changed, 914 insertions, 112 deletions
diff --git a/sys-cluster/cinder/Manifest b/sys-cluster/cinder/Manifest
index 28036c596b91..100031314332 100644
--- a/sys-cluster/cinder/Manifest
+++ b/sys-cluster/cinder/Manifest
@@ -1 +1,2 @@
DIST cinder-2015.1.1.tar.gz 2068679 SHA256 11c6c7e749021978b9daeb631aa9f776a9ab70ea1549e8443a225a20ca98a945 SHA512 8d0cb81ef474b82ce4e377818916b1c2cf3566993c58f756ead17ee57d3316d61cfc0603cfce4e4460c43a6ef17813f5d85126fbaceed54c86060f3e22e39313 WHIRLPOOL a3a896c33a436c485490dd95169252e014757f8c6f555ffa61e26406b9405dbedd90f89bf424b2cfd2f145770f064ce551b59395b337f9b6d883301ca50d49b9
+DIST cinder-2015.1.2.tar.gz 2079511 SHA256 8baa42a3008b0bb0870df678237c0d06ab8ee148b3bf5c00c6b95cfe05c52333 SHA512 312b89068b80c642b8055084575e378ae449b615b6135f15f7aa327808e7a4f05887d0626dc69329c8d08001cf8a8488453b783a81c0f083340e15a8dd411f26 WHIRLPOOL dc3b532603167ac7a910120aca122d54646190c9d1a38a024d03675051b726f09f62d55f8bf5e404d83f8a9df8968bd953c3abf30d6eb45851134d399177fa7e
diff --git a/sys-cluster/cinder/cinder-2015.1.2.ebuild b/sys-cluster/cinder/cinder-2015.1.2.ebuild
new file mode 100644
index 000000000000..31cc6dfe981d
--- /dev/null
+++ b/sys-cluster/cinder/cinder-2015.1.2.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 eutils linux-info user
+
+DESCRIPTION="Cinder is the OpenStack Block storage service, a spin out of nova-volumes"
+HOMEPAGE="https://launchpad.net/cinder"
+SRC_URI="https://launchpad.net/${PN}/kilo/${PV}/+download/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+api +scheduler +volume iscsi lvm mysql +memcached postgres sqlite test"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+#sudo is a build dep because I want the sudoers.d directory to exist, lazy.
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+ app-admin/sudo
+ test? (
+ ${RDEPEND}
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ <dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ <dev-python/mock-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mox-0.5.3[${PYTHON_USEDEP}]
+ dev-python/mysql-python[${PYTHON_USEDEP}]
+ dev-python/psycopg[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+ <dev-python/oslotest-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-lib-0.4.0[${PYTHON_USEDEP}]
+ <dev-python/tempest-lib-0.5.0[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="
+ >=dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/keystonemiddleware-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/kombu-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
+ <dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
+ <dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-context-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-1.7.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-db-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-log-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-1.8.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-messaging-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-middleware-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-rootwrap-1.6.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-rootwrap-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
+ <dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/osprofiler-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
+ dev-python/paste[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/python-barbicanclient-3.0.1[${PYTHON_USEDEP}]
+ <dev-python/python-barbicanclient-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-glanceclient-0.15.0[${PYTHON_USEDEP}]
+ <dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-2.22.0[${PYTHON_USEDEP}]
+ <dev-python/python-novaclient-2.24.0[${PYTHON_USEDEP}]
+ >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
+ <dev-python/python-swiftclient-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
+ !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+ >=dev-python/taskflow-0.7.1[${PYTHON_USEDEP}]
+ <dev-python/taskflow-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/rtslib-fb-2.1.41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ sqlite? (
+ >=dev-python/sqlalchemy-0.9.7[sqlite,${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ dev-python/mysql-python
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ dev-python/psycopg:2
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ >=dev-python/sqlalchemy-migrate-0.9.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-migrate-0.9.8[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/suds-0.4[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-i18n-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-vmware-0.11.1[${PYTHON_USEDEP}]
+ <dev-python/oslo-vmware-0.12.0[${PYTHON_USEDEP}]
+ iscsi? (
+ sys-block/tgt
+ sys-block/open-iscsi
+ )
+ lvm? ( sys-fs/lvm2 )
+ memcached? ( net-misc/memcached )
+ app-emulation/qemu
+ sys-fs/sysfsutils"
+# qemu is needed for image conversion
+
+PATCHES=(
+
+)
+
+pkg_setup() {
+ linux-info_pkg_setup
+ CONFIG_CHECK_MODULES="ISCSI_TCP"
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK_MODULES}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"
+ done
+ fi
+ enewgroup cinder
+ enewuser cinder -1 -1 /var/lib/cinder cinder
+}
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ mv cinder/test.py cinder/test.py.bak || die
+ ./tools/config/generate_sample.sh -b ./ -p cinder -o etc/cinder || die
+ mv cinder/test.py.bak cinder/test.py || die
+}
+
+python_test() {
+ # Let's track progress of this # https://bugs.launchpad.net/swift/+bug/1249727
+ nosetests -I test_wsgi.py cinder/tests/ || die "tests failed under python2.7"
+}
+
+python_install() {
+ distutils-r1_python_install
+ keepdir /etc/cinder
+ dodir /etc/cinder/rootwrap.d
+
+ for svc in api scheduler volume; do
+ newinitd "${FILESDIR}/cinder.initd" cinder-${svc}
+ done
+
+ insinto /etc/cinder
+ insopts -m0640 -o cinder -g cinder
+ newins "${S}/etc/cinder/cinder.conf.sample" "cinder.conf"
+ newins "${S}/etc/cinder/api-paste.ini" "api-paste.ini"
+ newins "${S}/etc/cinder/logging_sample.conf" "logging_sample.conf"
+ newins "${S}/etc/cinder/policy.json" "policy.json"
+ newins "${S}/etc/cinder/rootwrap.conf" "rootwrap.conf"
+ insinto /etc/cinder/rootwrap.d
+ newins "${S}/etc/cinder/rootwrap.d/volume.filters" "volume.filters"
+
+ dodir /var/log/cinder
+ fowners cinder:cinder /var/log/cinder
+
+ #add sudoers definitions for user nova
+ insinto /etc/sudoers.d/
+ insopts -m 0440 -o root -g root
+ newins "${FILESDIR}/cinder.sudoersd" cinder
+}
+
+pkg_postinst() {
+ if use iscsi ; then
+ elog "Cinder needs tgtd to be installed and running to work with iscsi"
+ elog "it also needs 'include /var/lib/cinder/volumes/*' in /etc/tgt/targets.conf"
+ fi
+}
diff --git a/sys-cluster/cinder/cinder-2015.1.9999.ebuild b/sys-cluster/cinder/cinder-2015.1.9999.ebuild
index 10f2360aa8c4..422f54e08a52 100644
--- a/sys-cluster/cinder/cinder-2015.1.9999.ebuild
+++ b/sys-cluster/cinder/cinder-2015.1.9999.ebuild
@@ -25,8 +25,6 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
app-admin/sudo
test? (
${RDEPEND}
- >=dev-python/hacking-0.10.0[${PYTHON_USEDEP}]
- <dev-python/hacking-0.11[${PYTHON_USEDEP}]
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
>=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
<dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
@@ -64,7 +62,7 @@ RDEPEND="
>=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
>=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
<dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
<dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
>=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
<dev-python/oslo-context-0.3.0[${PYTHON_USEDEP}]
@@ -81,6 +79,7 @@ RDEPEND="
>=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
<dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
<dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
>=dev-python/osprofiler-0.3.0[${PYTHON_USEDEP}]
>=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
@@ -119,6 +118,8 @@ RDEPEND="
<=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
)
>=dev-python/sqlalchemy-migrate-0.9.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-migrate-0.9.8[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
<dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
>=dev-python/suds-0.4[${PYTHON_USEDEP}]
@@ -153,6 +154,11 @@ pkg_setup() {
enewuser cinder -1 -1 /var/lib/cinder cinder
}
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
python_compile() {
distutils-r1_python_compile
mv cinder/test.py cinder/test.py.bak || die
diff --git a/sys-cluster/libcircle/Manifest b/sys-cluster/libcircle/Manifest
index 28bac28f1192..2aea37171c24 100644
--- a/sys-cluster/libcircle/Manifest
+++ b/sys-cluster/libcircle/Manifest
@@ -1 +1,2 @@
DIST libcircle-0.2.0_rc1.tar.gz 351901 SHA256 59ed75c0bdf2b24f96fbc0230848a5aab57d4eab5a68895489d59a7f68ddd2ee SHA512 1ce07ae012c281fe3e6fbae29bf48e1079768ed5f92f9375c3be02880bed1b1feee6630b31560d7129f76640990e94da1753f55b11a0a8977adaaf9e51144044 WHIRLPOOL 984713d28ee80f686daea7d419a1135360bcda542f904a1aa4ea0ef03b87482e60c2c0858a9e6fd85d7bde1ef557bd61c717ba924f942dfd82d7cbeb9a2e0359
+DIST libcircle-0.2.1_rc1.tar.gz 354251 SHA256 a0d0d75db2be9e47045572ad40f7e1077b7c3540f79180ad1db265ca89438db3 SHA512 9a125bc9f95b1dfb1c777dece4310a709cec46f820651216cd3a34486260f80221e564b82dfaf1ba58b8091b18c6d6b87b0c64d24a940cae6593dc144426fb54 WHIRLPOOL ec77f629c8d5b2391a8f25aa888e0606a0d0240ccf86e6bbe5ba8a04c5e411a6d3f077777da6cdd7badaa87c40b44b6a67b7b901ceb94fb3bec3b118b8465a0a
diff --git a/sys-cluster/libcircle/libcircle-0.2.1_rc1.ebuild b/sys-cluster/libcircle/libcircle-0.2.1_rc1.ebuild
new file mode 100644
index 000000000000..c702e2734878
--- /dev/null
+++ b/sys-cluster/libcircle/libcircle-0.2.1_rc1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils
+
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="git://github.com/hpc/${PN}.git https://github.com/hpc/${PN}.git"
+ inherit git-2
+ KEYWORDS=""
+else
+ inherit vcs-snapshot
+ SRC_URI="https://github.com/hpc/${PN}/archive/${PV/_rc/-rc.}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux"
+fi
+
+DESCRIPTION="an API for distributing embarrassingly parallel workloads using self-stabilization"
+HOMEPAGE="https://github.com/hpc/libcircle"
+
+SLOT="0"
+LICENSE="BSD"
+IUSE="doc test"
+
+RDEPEND="virtual/mpi"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ test? ( dev-libs/check )"
+
+DOCS=( HACKING.md README.md )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable test tests)
+ $(use_enable doc doxygen)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ use doc && HTML_DOCS=( "${BUILD_DIR}/doc/html/" )
+ autotools-utils_src_install
+}
diff --git a/sys-cluster/libquo/Manifest b/sys-cluster/libquo/Manifest
index 63f28a215568..9551aa73a62b 100644
--- a/sys-cluster/libquo/Manifest
+++ b/sys-cluster/libquo/Manifest
@@ -1,3 +1,4 @@
DIST libquo-1.2.2.tar.gz 711528 SHA256 fb1231bde16b5e669caf23f5bfed4c77643cd3d4ae2ae755cfe258610a70667a SHA512 1aad84e65ba9167656ba6ffd53859816ea396239781b51846992766be7d01e33af732ac9c2ddda5839ec518bf304b4882a73f884c714c6e8eb9dc6884a9a6b11 WHIRLPOOL c5d28ddebaf98912b7ee92ab9e765cbff91ad1a29b323babc9db2d534f4261127377906ffbf670a4e38e65b248d4a56c8435290f4b64f39aae7e27b3d6ebaeb7
DIST libquo-1.2.3.tar.gz 727836 SHA256 8f359b6f9efe0d38d2a7b6999b801297d80cebbf74b30de7b124bccbd77ae04e SHA512 d937253f1444723631439a78e5533d9ce4c8772f04f7c3475fe48c63d0dd827d5d73c4a925efec614a36d1c9680e9d93d53617ac12c00fce65b922fa69cd8c5b WHIRLPOOL 4d35a9e806184051ae56fc5c8f1454e73fa4dfb96b181b13753ac09d8f654f7f1154ca8008514aea0fc2b46bad8011d6a27e022c9811eb852d4e6c78b6041951
+DIST libquo-1.2.4.tar.gz 714871 SHA256 a7324c5e7faa6f99e14e7565d19a657e21e686dd039d8519fad48890bbb6ce18 SHA512 a8b6ab6bcaab3f22cc707ee85ea41c8b8f345bf11319a12bc1e4bceed15577f339b7c797ecee4301d0ba8b8c5ebb7af5961d19982261e41192c3fc777cbfecfe WHIRLPOOL eef090a00843a37a0f9823973bc26220416a0bb6f2db1f727ef964ce8f8b0d664c7703b6fff4e2357cc1d7fd9deca527f4cdd2b368e56ffe9c175df613446df4
DIST libquo-1.2.tar.gz 710465 SHA256 accd7b5fd1d7118897d98929245b8a91baf3d00e477769df66322a7feeed352d SHA512 c9c087490c01af51f47490635dbf42d5433719931afbaa89dfe91bfe812e09e468649cf5a7703b6c3d5b0c0d6d6318731dcff4928a52017505f814750131c75b WHIRLPOOL a209676d6bc8d0b012e8797d5600ec812b35aeae06391b6f3cc5b7bac743198fc17726187d199988fb75e8c5a33706921982b35c8094dee6fef303e57fd5be96
diff --git a/sys-cluster/libquo/libquo-1.2.4-r1.ebuild b/sys-cluster/libquo/libquo-1.2.4-r1.ebuild
new file mode 100644
index 000000000000..6f4ed947735e
--- /dev/null
+++ b/sys-cluster/libquo/libquo-1.2.4-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+FORTRAN_STANDARD=90
+
+inherit autotools-utils fortran-2
+
+if [ "${PV}" = "9999" ]; then
+ EGIT_REPO_URI="git://github.com/losalamos/${PN}.git https://github.com/losalamos/${PN}.git"
+ inherit git-r3
+ KEYWORDS=""
+ AUTOTOOLS_AUTORECONF=1
+else
+ SRC_URI="http://losalamos.github.io/${PN}/dists/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="run-time tuning of process binding policies made easy"
+HOMEPAGE="http://losalamos.github.io/libquo/"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="fortran static-libs"
+
+DEPEND="
+ virtual/mpi[fortran?]
+ sys-process/numactl
+ sys-apps/hwloc[numa,xml]
+ "
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ autotools-utils_src_configure CC=mpicc FC=$(usex fortran mpif90 false)
+}
diff --git a/sys-cluster/neutron/Manifest b/sys-cluster/neutron/Manifest
index 846acf815b37..409b8d27bb53 100644
--- a/sys-cluster/neutron/Manifest
+++ b/sys-cluster/neutron/Manifest
@@ -1 +1,2 @@
DIST neutron-2015.1.1.tar.gz 2049496 SHA256 91569feaacc983635f64bc27f3903162526e984778aa6683129e578715f8c5b9 SHA512 aa9712a0d44efc2d52f47a2dfac449fb57b82bef675ea5d64b950859780240fbd441a3f8cd9684afff3c51502f8200c0db3b17471fabbd30724ce92662183fe2 WHIRLPOOL aeb6757f855115eb08d2707db40f54cdd488e67e69eb829ea2b31e83fe029ca3cde24e4520b8d8649da285354b161f47a237181a199cd786552d26f19c66181e
+DIST neutron-2015.1.2.tar.gz 2064808 SHA256 3ff282d75e86ea25f64e97e24b2960e7ffaeef7cf4a69c16d20ffe18065d0ef0 SHA512 441f872b4c8b117cd28d0f0a4c9a1a60382e48fecd120bb5fc9cbd209a49af41fa17f3ecd2b0d7266a0627d9afe387ea32a2d75bc2337968b5c2cb7a87732aa4 WHIRLPOOL 70a05c56ca367d8553b0c3a2067c33e6ae9decc52f745c3cb8ecf9bb842239849af34f490bd8dfbdf1a2243622d7f72d31cbcfea7435e99215ae7a65a3c2248e
diff --git a/sys-cluster/neutron/neutron-2015.1.2.ebuild b/sys-cluster/neutron/neutron-2015.1.2.ebuild
new file mode 100644
index 000000000000..4df2cc237853
--- /dev/null
+++ b/sys-cluster/neutron/neutron-2015.1.2.ebuild
@@ -0,0 +1,253 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 linux-info user
+
+DESCRIPTION="A virtual network service for Openstack"
+HOMEPAGE="https://launchpad.net/neutron"
+SRC_URI="https://launchpad.net/${PN}/kilo/${PV}/+download/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="compute-only dhcp doc ipv6 l3 metadata openvswitch linuxbridge server test sqlite mysql postgres"
+REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
+ compute-only? ( !mysql !postgres !sqlite !dhcp !l3 !metadata !server
+ || ( openvswitch linuxbridge ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+ app-admin/sudo
+ test? (
+ ${RDEPEND}
+ >=dev-python/cliff-1.10.0[${PYTHON_USEDEP}]
+ <dev-python/cliff-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ <dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ <dev-python/mock-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+ <dev-python/oslotest-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-lib-0.4.0[${PYTHON_USEDEP}]
+ <dev-python/tempest-lib-0.5.0[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="
+ dev-python/paste[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+ dev-python/jsonrpclib[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/keystonemiddleware-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
+ >=dev-python/python-neutronclient-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/python-neutronclient-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
+ !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
+ compute-only? (
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ sqlite? (
+ >=dev-python/sqlalchemy-0.9.7[sqlite,${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ dev-python/mysql-python
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ dev-python/psycopg:2
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/python-keystoneclient-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/alembic-0.7.2[${PYTHON_USEDEP}]
+ <dev-python/alembic-0.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
+ <dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
+ <dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-context-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-1.7.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-db-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-i18n-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-log-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-1.8.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-messaging-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-middleware-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-rootwrap-1.6.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-rootwrap-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
+ <dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-2.22.0[${PYTHON_USEDEP}]
+ <dev-python/python-novaclient-2.24.0[${PYTHON_USEDEP}]
+ dev-python/pyudev[${PYTHON_USEDEP}]
+ sys-apps/iproute2
+ net-misc/bridge-utils
+ net-firewall/ipset
+ net-firewall/iptables
+ net-firewall/ebtables
+ openvswitch? ( net-misc/openvswitch )
+ ipv6? ( net-misc/radvd )
+ dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
+
+PATCHES=(
+)
+
+pkg_setup() {
+ linux-info_pkg_setup
+ CONFIG_CHECK_MODULES="VLAN_8021Q IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
+ IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 \
+ NF_NAT_IPV4 NF_NAT NF_CONNTRACK IP_NF_FILTER IP_NF_IPTABLES NETFILTER_XTABLES"
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK_MODULES}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
+ done
+ fi
+ enewgroup neutron
+ enewuser neutron -1 -1 /var/lib/neutron neutron
+}
+
+pkg_config() {
+ fperms 0700 /var/log/neutron
+ fowners neutron:neutron /var/log neutron
+}
+
+sddrc_prepare() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ # it's /bin/ip not /sbin/ip
+ sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
+ distutils-r1_src_prepare
+}
+
+python_compile_all() {
+ use doc && make -C doc html
+}
+
+python_test() {
+ # https://bugs.launchpad.net/neutron/+bug/1234857
+ # https://bugs.launchpad.net/swift/+bug/1249727
+ # https://bugs.launchpad.net/neutron/+bug/1251657
+ # turn multiprocessing off, testr will use it --parallel
+ local DISTUTILS_NO_PARALLEL_BUILD=1
+ # Move tests out that attempt net connection, have failures
+ mv $(find . -name test_ovs_tunnel.py) . || die
+ sed -e 's:test_app_using_ipv6_and_ssl:_&:' \
+ -e 's:test_start_random_port_with_ipv6:_&:' \
+ -i neutron/tests/unit/test_wsgi.py || die
+ testr init
+ testr run --parallel || die "failed testsuite under python2.7"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use server; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-server"
+ newconfd "${FILESDIR}/neutron-server.confd" "neutron-server"
+ dosym /etc/neutron/plugin.ini /etc/neutron/plugins/ml2/ml2_conf.ini
+ fi
+ if use dhcp; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-dhcp-agent"
+ newconfd "${FILESDIR}/neutron-dhcp-agent.confd" "neutron-dhcp-agent"
+ fi
+ if use l3; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-l3-agent"
+ newconfd "${FILESDIR}/neutron-l3-agent.confd" "neutron-l3-agent"
+ fi
+ if use metadata; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-metadata-agent"
+ newconfd "${FILESDIR}/neutron-metadata-agent.confd" "neutron-metadata-agent"
+ fi
+ if use openvswitch; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-openvswitch-agent"
+ newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-openvswitch-agent"
+ newinitd "${FILESDIR}/neutron.initd" "neutron-ovs-cleanup"
+ newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-ovs-cleanup"
+ fi
+ if use linuxbridge; then
+ newinitd "${FILESDIR}/neutron.initd" "neutron-linuxbridge-agent"
+ newconfd "${FILESDIR}/neutron-linuxbridge-agent.confd" "neutron-linuxbridge-agent"
+ fi
+ diropts -m 755 -o neutron -g neutron
+ dodir /var/log/neutron /var/lib/neutron
+ keepdir /etc/neutron
+ insinto /etc/neutron
+ insopts -m 0640 -o neutron -g neutron
+
+ doins etc/*
+ # stupid renames
+ rm "${D}etc/neutron/quantum"
+ insinto /etc/neutron
+ doins -r "etc/neutron/plugins"
+ insopts -m 0640 -o root -g root
+ doins "etc/rootwrap.conf"
+ doins -r "etc/neutron/rootwrap.d"
+
+ insopts -m 0644
+ insinto "/usr/lib64/python2.7/site-packages/neutron/db/migration/alembic_migrations/"
+ doins -r "neutron/db/migration/alembic_migrations/versions"
+
+ #add sudoers definitions for user neutron
+ insinto /etc/sudoers.d/
+ insopts -m 0440 -o root -g root
+ newins "${FILESDIR}/neutron.sudoersd" neutron
+
+ #remove superfluous stuff
+ rm -R "${D}/usr/etc/"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ elog
+ elog "neutron-server's conf.d file may need updating to include additional ini files"
+ elog "We currently assume the ml2 plugin will be used but do not make assumptions"
+ elog "on if you will use openvswitch or linuxbridge (or something else)"
+ elog
+ elog "Other conf.d files may need updating too, but should be good for the default use case"
+ elog
+}
diff --git a/sys-cluster/neutron/neutron-2015.1.9999.ebuild b/sys-cluster/neutron/neutron-2015.1.9999.ebuild
index 0c103b718b37..6d4f5d4b9b71 100644
--- a/sys-cluster/neutron/neutron-2015.1.9999.ebuild
+++ b/sys-cluster/neutron/neutron-2015.1.9999.ebuild
@@ -27,8 +27,6 @@ DEPEND="
app-admin/sudo
test? (
${RDEPEND}
- >=dev-python/hacking-0.10.0[${PYTHON_USEDEP}]
- <dev-python/hacking-0.11[${PYTHON_USEDEP}]
>=dev-python/cliff-1.10.0[${PYTHON_USEDEP}]
<dev-python/cliff-1.11.0[${PYTHON_USEDEP}]
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
@@ -70,7 +68,7 @@ RDEPEND="
>=dev-python/keystonemiddleware-1.5.0[${PYTHON_USEDEP}]
<dev-python/keystonemiddleware-1.6.0[${PYTHON_USEDEP}]
>=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.3.11[${PYTHON_USEDEP}]
+ >=dev-python/python-neutronclient-2.4.0[${PYTHON_USEDEP}]
<dev-python/python-neutronclient-2.5.0[${PYTHON_USEDEP}]
>=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
!~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
@@ -96,10 +94,11 @@ RDEPEND="
>=dev-python/python-keystoneclient-1.2.0[${PYTHON_USEDEP}]
<dev-python/python-keystoneclient-1.4.0[${PYTHON_USEDEP}]
>=dev-python/alembic-0.7.2[${PYTHON_USEDEP}]
+ <dev-python/alembic-0.8.1[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
<dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
<dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
>=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
<dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
@@ -120,6 +119,7 @@ RDEPEND="
>=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
<dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
<dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
>=dev-python/python-novaclient-2.22.0[${PYTHON_USEDEP}]
<dev-python/python-novaclient-2.24.0[${PYTHON_USEDEP}]
@@ -134,7 +134,6 @@ RDEPEND="
dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
PATCHES=(
-
)
pkg_setup() {
@@ -156,9 +155,10 @@ pkg_config() {
fowners neutron:neutron /var/log neutron
}
-src_prepare() {
- #it's /bin/ip not /sbin/ip
- sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/*
+sddrc_prepare() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ # it's /bin/ip not /sbin/ip
+ sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
distutils-r1_src_prepare
}
diff --git a/sys-cluster/nova/Manifest b/sys-cluster/nova/Manifest
index 376b4c5143d0..dbc8947f2a8c 100644
--- a/sys-cluster/nova/Manifest
+++ b/sys-cluster/nova/Manifest
@@ -1 +1,2 @@
DIST nova-2015.1.1.tar.gz 4544374 SHA256 d9b480827995727f2ccc06e4b5709e689e8a466006e07157ce92bc9d074e197e SHA512 7aad21fc59143cd4acab4a97980aafa9b1216789a0206c0d3098f5d96257e40baa77ef45696982648cc82a7f988f40525621da402871eeb398b21699932cea64 WHIRLPOOL 08b94f93be1e5821cfaaa835f33af2ddc23e75cea3dc6f1ca82be80317db95abd38dda336cca212cd68111fa65ca8c53c62f684e07acd2c1906e8d4cfc989905
+DIST nova-2015.1.2.tar.gz 4564794 SHA256 8ea47c076367dec47d7bea89210f260da64171be5adf559ced8514d5fdb6c453 SHA512 c3ec70f90723dbbc6c04a1ab5e5fd43b43c4080ab6a7454bd48d47eb2f228fe22b59f999f881dfb28fbd502e084c0c8764f5cdf4b096f6af46a2f0c97f0e4f61 WHIRLPOOL d3e038905726574864cc5c4d04ead21c90c24a676bc6d5580e65a1b37830889b92b7df09165b5f97e345aa99ba94a3f42b3212119a4bae34b318aa5946052bf6
diff --git a/sys-cluster/nova/nova-2015.1.2.ebuild b/sys-cluster/nova/nova-2015.1.2.ebuild
new file mode 100644
index 000000000000..ca2055030ed0
--- /dev/null
+++ b/sys-cluster/nova/nova-2015.1.2.ebuild
@@ -0,0 +1,254 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 eutils linux-info multilib user
+
+DESCRIPTION="A cloud computing fabric controller (main part of an IaaS system) written in Python"
+HOMEPAGE="https://launchpad.net/nova"
+SRC_URI="https://launchpad.net/${PN}/kilo/${PV}/+download/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+compute compute-only iscsi +kvm +memcached mysql +novncproxy openvswitch postgres +rabbitmq sqlite test xen"
+REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
+ compute-only? ( compute !rabbitmq !memcached !mysql !postgres !sqlite )
+ compute? ( ^^ ( kvm xen ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+ app-admin/sudo
+ test? (
+ ${RDEPEND}
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ <dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ <dev-python/mock-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+ <dev-python/mox3-0.8.0[${PYTHON_USEDEP}]
+ dev-python/mysql-python[${PYTHON_USEDEP}]
+ dev-python/psycopg[${PYTHON_USEDEP}]
+ >=dev-python/python-barbicanclient-3.0.1[${PYTHON_USEDEP}]
+ <dev-python/python-barbicanclient-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-ironicclient-0.4.1[${PYTHON_USEDEP}]
+ <dev-python/python-ironicclient-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+ <dev-python/oslotest-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-lib-0.4.0[${PYTHON_USEDEP}]
+ <dev-python/tempest-lib-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/suds-0.4[${PYTHON_USEDEP}]
+ >=dev-python/oslo-vmware-0.11.1[${PYTHON_USEDEP}]
+ <dev-python/oslo-vmware-0.12.0[${PYTHON_USEDEP}]
+ )"
+
+# barbicanclient is in here for doc generation
+RDEPEND="
+ compute-only? (
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ sqlite? (
+ >=dev-python/sqlalchemy-0.9.7[sqlite,${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ dev-python/mysql-python
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ dev-python/psycopg:2
+ >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+ )
+ >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+ >=dev-python/decorator-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/keystonemiddleware-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
+ >=dev-python/routes-1.12.3-r1[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
+ dev-python/paste[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-migrate-0.9.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-migrate-0.9.8[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-1.1.0[${PYTHON_USEDEP}]
+ <dev-python/python-cinderclient-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-neutronclient-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/python-neutronclient-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/python-glanceclient-0.15.0[${PYTHON_USEDEP}]
+ <dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/python-barbicanclient-3.0.1[${PYTHON_USEDEP}]
+ <dev-python/python-barbicanclient-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/websockify-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/websockify-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
+ <dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
+ <dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-context-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-log-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
+ <dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-1.7.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-db-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-rootwrap-1.6.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-rootwrap-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-1.8.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-messaging-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-i18n-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
+ <dev-python/oslo-middleware-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-1.1.1[${PYTHON_USEDEP}]
+ <dev-python/psutil-2.0.0[${PYTHON_USEDEP}]
+ dev-python/libvirt-python[${PYTHON_USEDEP}]
+ app-emulation/libvirt[iscsi?]
+ novncproxy? ( www-apps/novnc )
+ sys-apps/iproute2
+ openvswitch? ( net-misc/openvswitch )
+ rabbitmq? ( net-misc/rabbitmq-server )
+ memcached? ( net-misc/memcached
+ dev-python/python-memcached )
+ sys-fs/sysfsutils
+ sys-fs/multipath-tools
+ net-misc/bridge-utils
+ compute? (
+ app-cdr/cdrkit
+ kvm? ( app-emulation/qemu )
+ xen? ( app-emulation/xen
+ app-emulation/xen-tools )
+ )
+ iscsi? (
+ sys-fs/lsscsi
+ >=sys-block/open-iscsi-2.0.872-r3
+ )"
+
+PATCHES=(
+)
+
+pkg_setup() {
+ linux-info_pkg_setup
+ CONFIG_CHECK_MODULES="BLK_DEV_NBD VHOST_NET IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
+ IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 IP_NF_FILTER IP_NF_IPTABLES \
+ NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 NF_NAT_IPV4 NF_NAT NF_CONNTRACK NETFILTER_XTABLES \
+ ISCSI_TCP SCSI_DH DM_MULTIPATH DM_SNAPSHOT"
+ if linux_config_exists; then
+ for module in ${CONFIG_CHECK_MODULES}; do
+ linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
+ done
+ fi
+ enewgroup nova
+ enewuser nova -1 -1 /var/lib/nova nova
+}
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ sed -i 's/python/python2\.7/g' tools/config/generate_sample.sh || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ ./tools/config/generate_sample.sh -b ./ -p nova -o etc/nova || die
+}
+
+python_test() {
+ # turn multiprocessing off, testr will use it --parallel
+ local DISTUTILS_NO_PARALLEL_BUILD=1
+ testr init
+ testr run --parallel || die "failed testsuite under python2.7"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ if use !compute-only; then
+ for svc in api cert conductor consoleauth network scheduler spicehtml5proxy xvpvncproxy; do
+ newinitd "${FILESDIR}/nova.initd" "nova-${svc}"
+ done
+ fi
+ use compute && newinitd "${FILESDIR}/nova.initd" "nova-compute"
+ use novncproxy && newinitd "${FILESDIR}/nova.initd" "nova-novncproxy"
+
+ diropts -m 0750 -o nova -g qemu
+ dodir /var/log/nova /var/lib/nova/instances
+ diropts -m 0750 -o nova -g nova
+
+ insinto /etc/nova
+ insopts -m 0640 -o nova -g nova
+ newins "etc/nova/nova.conf.sample" "nova.conf"
+ doins "etc/nova/api-paste.ini"
+ doins "etc/nova/logging_sample.conf"
+ doins "etc/nova/policy.json"
+ doins "etc/nova/rootwrap.conf"
+ #rootwrap filters
+ insinto /etc/nova/rootwrap.d
+ doins "etc/nova/rootwrap.d/api-metadata.filters"
+ doins "etc/nova/rootwrap.d/compute.filters"
+ doins "etc/nova/rootwrap.d/network.filters"
+ #copy migration conf file (not coppied on install via setup.py script)
+ insopts -m 0644
+ insinto /usr/$(get_libdir)/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo/
+ doins "nova/db/sqlalchemy/migrate_repo/migrate.cfg"
+ #copy the CA cert dir (not coppied on install via setup.py script)
+ cp -R "${S}/nova/CA" "${D}/usr/$(get_libdir)/python2.7/site-packages/nova/" || die "installing CA files failed"
+
+ #add sudoers definitions for user nova
+ insinto /etc/sudoers.d/
+ insopts -m 0600 -o root -g root
+ doins "${FILESDIR}/nova-sudoers"
+
+ if use iscsi ; then
+ # Install udev rules for handle iscsi disk with right links under /dev
+ udev_newrules "${FILESDIR}/openstack-scsi-disk.rules" 60-openstack-scsi-disk.rules
+
+ insinto /etc/nova/
+ doins "${FILESDIR}/scsi-openscsi-link.sh"
+ fi
+}
+
+pkg_postinst() {
+ if use iscsi ; then
+ elog "iscsid needs to be running if you want cinder to connect"
+ fi
+}
diff --git a/sys-cluster/nova/nova-2015.1.9999.ebuild b/sys-cluster/nova/nova-2015.1.9999.ebuild
index 20dd5e439514..2ba0bf9daa34 100644
--- a/sys-cluster/nova/nova-2015.1.9999.ebuild
+++ b/sys-cluster/nova/nova-2015.1.9999.ebuild
@@ -27,14 +27,13 @@ DEPEND="
app-admin/sudo
test? (
${RDEPEND}
- >=dev-python/hacking-0.10.0[${PYTHON_USEDEP}]
- <dev-python/hacking-0.11[${PYTHON_USEDEP}]
>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
>=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
<dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
>=dev-python/mock-1.0[${PYTHON_USEDEP}]
<dev-python/mock-1.1.0[${PYTHON_USEDEP}]
>=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+ <dev-python/mox3-0.8.0[${PYTHON_USEDEP}]
dev-python/mysql-python[${PYTHON_USEDEP}]
dev-python/psycopg[${PYTHON_USEDEP}]
>=dev-python/python-barbicanclient-3.0.1[${PYTHON_USEDEP}]
@@ -94,7 +93,9 @@ RDEPEND="
>=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
>=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
dev-python/paste[${PYTHON_USEDEP}]
- ~dev-python/sqlalchemy-migrate-0.9.5[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-migrate-0.9.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-migrate-0.9.8[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
>=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
>=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
dev-python/pyasn1[${PYTHON_USEDEP}]
@@ -104,7 +105,7 @@ RDEPEND="
<dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
>=dev-python/python-cinderclient-1.1.0[${PYTHON_USEDEP}]
<dev-python/python-cinderclient-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.3.11[${PYTHON_USEDEP}]
+ >=dev-python/python-neutronclient-2.4.0[${PYTHON_USEDEP}]
<dev-python/python-neutronclient-2.5.0[${PYTHON_USEDEP}]
>=dev-python/python-glanceclient-0.15.0[${PYTHON_USEDEP}]
<dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
@@ -115,7 +116,7 @@ RDEPEND="
<dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
>=dev-python/websockify-0.6.0[${PYTHON_USEDEP}]
<dev-python/websockify-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
<dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
>=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
<dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
@@ -126,6 +127,7 @@ RDEPEND="
>=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
<dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
<dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
>=dev-python/oslo-db-1.7.0[${PYTHON_USEDEP}]
<dev-python/oslo-db-1.8.0[${PYTHON_USEDEP}]
@@ -180,9 +182,10 @@ pkg_setup() {
enewuser nova -1 -1 /var/lib/nova nova
}
-python_prepare() {
- distutils-r1_python_prepare
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
sed -i 's/python/python2\.7/g' tools/config/generate_sample.sh || die
+ distutils-r1_python_prepare_all
}
python_compile() {
diff --git a/sys-cluster/ploop/Manifest b/sys-cluster/ploop/Manifest
index 056d0d085246..e48d97d8c5ee 100644
--- a/sys-cluster/ploop/Manifest
+++ b/sys-cluster/ploop/Manifest
@@ -1 +1,2 @@
DIST ploop-1.13.2.tar.bz2 122821 SHA256 c1705c3bebd4f0f8860fecadf57cca457216b2abad880eb36098351244f9c1c3 SHA512 85a3314dc1114b692cd98290412fd2ea78c516964c712487dd72f8347fd583172d8836f997d63ccade89ee39be031669074d9bc957926b97175e659ec505ddfb WHIRLPOOL aea714ec18aa82cce2fcffa9aafdfe0e627ed83db9b8eaf0621b2dddb58fd300fdd9a3896e2e5192154cc5e0b6b11668128ed2e66fd04c1daae84e23d41c7a99
+DIST ploop-1.14.1.tar.bz2 123962 SHA256 841fde81c46632072ff8bcc29a4074a15b3c8359967254deeba51f0af34a6c0e SHA512 7a235865f071de6e2762923d6591c8c6ee00d0d05ec80c6a2a1332f5b6881ccf827f7ddc40dfe1d663b8abf492a188a23f7d28a43dd553d6e37c8091cb3bc484 WHIRLPOOL 8e80385233cbd5be0a26a20fb5442f82fa57adffe22f78a1207c73ece65822091c7fbbf90b59b97b8cf6ff760447a93c391e828af5402ecdc59285a74c114332
diff --git a/sys-cluster/ploop/files/disable_create_run_dir.patch b/sys-cluster/ploop/files/disable_create_run_dir.patch
new file mode 100644
index 000000000000..726094903b51
--- /dev/null
+++ b/sys-cluster/ploop/files/disable_create_run_dir.patch
@@ -0,0 +1,21 @@
+--- lib/Makefile.old 2015-10-10 15:49:25.377235002 +0300
++++ lib/Makefile 2015-10-10 15:49:50.021464544 +0300
+@@ -76,17 +76,13 @@
+ .depend: $(filter-out $(GENERATED),$(SOURCES))
+ -include .depend
+
+-install-lockdir:
+- $(Q) $(INSTALL) -d $(DESTDIR)$(LOCKDIR)
+-.PHONY: install-lockdir
+-
+ install-pc: $(PC)
+ $(E) " INSTALL " $(PC)
+ $(Q) $(INSTALL) -d $(DESTDIR)$(PCDIR)
+ $(Q) $(INSTALL) $(PC) $(DESTDIR)$(PCDIR)
+ .PHONY: install-pc
+
+-install: all install-lockdir install-pc
++install: all install-pc
+ $(Q) $(INSTALL) -d $(DESTDIR)$(LIBDIR)
+ $(E) " INSTALL " $(LIBPLOOP)
+ $(Q) $(INSTALL) -m 644 $(LIBPLOOP) $(DESTDIR)$(LIBDIR)
diff --git a/sys-cluster/ploop/ploop-1.14.1.ebuild b/sys-cluster/ploop/ploop-1.14.1.ebuild
new file mode 100644
index 000000000000..00858bd6526a
--- /dev/null
+++ b/sys-cluster/ploop/ploop-1.14.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs multilib systemd
+
+DESCRIPTION="openvz tool and a library to control ploop block devices"
+HOMEPAGE="http://wiki.openvz.org/Download/ploop"
+SRC_URI="http://download.openvz.org/utils/ploop/${PV}/src/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug static-libs"
+
+DEPEND="
+ dev-libs/libxml2
+ virtual/pkgconfig
+ "
+
+RDEPEND="dev-libs/libxml2
+ !<sys-cluster/vzctl-4.8
+ sys-block/parted
+ sys-fs/e2fsprogs
+ sys-process/lsof
+ sys-apps/findutils
+ "
+
+DOCS=( tools/README )
+
+src_prepare() {
+ epatch "${FILESDIR}/disable_create_run_dir.patch"
+
+ # Respect CFLAGS and CC, do not add debug by default
+ sed -i \
+ -e 's|CFLAGS =|CFLAGS +=|' \
+ -e '/CFLAGS/s/-g -O0 //' \
+ -e '/CFLAGS/s/-O2//' \
+ -e 's|CC=|CC?=|' \
+ -e 's/-Werror//' \
+ -e '/DEBUG=yes/d' \
+ -e '/LOCKDIR/s/var/run/' \
+ Makefile.inc || die 'sed on Makefile.inc failed'
+ # Avoid striping of binaries
+ sed -e '/INSTALL/{s: -s::}' -i tools/Makefile || die 'sed on tools/Makefile failed'
+
+ # respect AR and RANLIB, bug #452092
+ tc-export AR RANLIB
+ sed -i -e 's/ranlib/$(RANLIB)/' lib/Makefile || die 'sed on lib/Makefile failed'
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" V=1 $(usex debug 'DEBUG' '' '=yes' '')
+}
+
+src_install() {
+ default
+ ldconfig -n "${D}/usr/$(get_libdir)/" || die
+}
diff --git a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3025.ebuild b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3025.ebuild
index 95aa23308726..4273a03bd630 100644
--- a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3025.ebuild
+++ b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3025.ebuild
@@ -22,8 +22,7 @@ IUSE=""
CDEPEND="dev-libs/beecrypt
net-firewall/iptables
net-misc/vconfig
- sys-apps/iproute2
- || ( >=sys-apps/coreutils-6.10-r1 sys-apps/mktemp )"
+ sys-apps/iproute2"
DEPEND=">=dev-libs/dietlibc-0.33_pre20110403
${CDEPEND}"
diff --git a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3062.ebuild b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3062.ebuild
index 96af5e621952..cb9183683226 100644
--- a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3062.ebuild
+++ b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3062.ebuild
@@ -22,8 +22,7 @@ IUSE=""
CDEPEND="dev-libs/beecrypt
net-firewall/iptables
net-misc/vconfig
- sys-apps/iproute2
- sys-apps/coreutils"
+ sys-apps/iproute2"
DEPEND=">dev-libs/dietlibc-0.33
${CDEPEND}"
diff --git a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3120.ebuild b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3120.ebuild
index 6a706d80af5b..79bea53779ba 100644
--- a/sys-cluster/util-vserver/util-vserver-0.30.216_pre3120.ebuild
+++ b/sys-cluster/util-vserver/util-vserver-0.30.216_pre3120.ebuild
@@ -22,8 +22,7 @@ IUSE=""
CDEPEND="dev-libs/beecrypt
net-firewall/iptables
net-misc/vconfig
- sys-apps/iproute2
- sys-apps/coreutils"
+ sys-apps/iproute2"
DEPEND=">dev-libs/dietlibc-0.33
${CDEPEND}"
diff --git a/sys-cluster/vzctl/Manifest b/sys-cluster/vzctl/Manifest
index 3a3c4088aecf..3c4f93eb4cae 100644
--- a/sys-cluster/vzctl/Manifest
+++ b/sys-cluster/vzctl/Manifest
@@ -1,3 +1,2 @@
DIST vzctl-4.9.1.tar.bz2 517940 SHA256 b15f4b4eacd88d2a5e745f556dfe6ae079a77c0d3f0fa818674bc98715ad7d72 SHA512 998882a1f628104a9e0c6a598ee84046fb03da03b7b2ce703396659cf7d7bd0bb67bf1590596e5e43ff1223ef23078fb7cab2228e768e79d3c3136b1ba418e50 WHIRLPOOL feff55376fa5f470627f7fcbd4e9a0c24e04b8575219d33ffa5eb4a67d79e64682975b89fbf06953d4d88044e1771c9dfef3a5b578914900e5f88f59eb2d3895
-DIST vzctl-4.9.2.tar.bz2 549613 SHA256 a345719d47e8a3f96c5af4c86b58a9677848eee6f4777403b447eff2c9320cae SHA512 c2ab45eb8f8f80c8b044f652c68c1c816b3df85f3aca5fe33b385dea4b6addeb8e6ebe6232342454efc4c683e8433149828dffdbcb181af6bfcb68d8b5a86ef1 WHIRLPOOL 42919c1096133250787996071f1d16e0d6bce542760c58a4d6af019960b6db7df4636d0735f21ffda95032fbabb4cf6709da532bee96e9e7775bf665049cbc46
-DIST vzctl-4.9.3.tar.bz2 549543 SHA256 c2fe73928933609893e99b16405f9da6a2d19e43a1164e7448bea81eb47355a0 SHA512 4c4fb69c217b403668a6ec64189eaf23d3ecaadc6ad9f09127a4c2b6d3dc88ac4c73ba182f99f5e1e9c64161a285d83421bb81343fbb83481c46a8489ac99819 WHIRLPOOL 546865b8b8bac4c5a95b191a283080965e1f3bfd51cdc09d4b36a0ac97df9339e8fb2a495df60290b0d92d2a3750d97a27cbb02b1de46c715b8784e1dea3e3f5
+DIST vzctl-4.9.4.tar.bz2 550370 SHA256 bc3c63841b5244181e71bd1daf7c9aca6df3d42ed886a161fa5ba4b1b4520420 SHA512 651aa7882ba77442666a09441769f821a7374f417199380667b27c9980203597575dfe12ad5c261da22941b6a2bc6e032d3f9c2d88dcb03af6412634cc5b4706 WHIRLPOOL ed3c2531919b68fc2ae8acd9ac7b582b91f0eb6976155f12e2b35dbb236044c538e6499129aca579f9bc7697379c323bc6b32d0796a74a28b816a2dfb188c84f
diff --git a/sys-cluster/vzctl/vzctl-4.9.2.ebuild b/sys-cluster/vzctl/vzctl-4.9.2.ebuild
deleted file mode 100644
index 2ec6e8f0c05a..000000000000
--- a/sys-cluster/vzctl/vzctl-4.9.2.ebuild
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-
-inherit base bash-completion-r1 eutils toolchain-funcs udev
-
-DESCRIPTION="OpenVZ ConTainers control utility"
-HOMEPAGE="http://openvz.org/"
-SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
-IUSE="+ploop +vzmigrate"
-
-RDEPEND="net-firewall/iptables
- sys-apps/ed
- >=sys-apps/iproute2-3.3.0
- >=sys-fs/vzquota-3.1
- ploop? (
- >=sys-cluster/ploop-1.13
- sys-block/parted
- sys-fs/quota
- dev-libs/libxml2
- )
- >=dev-libs/libcgroup-0.38
- vzmigrate? (
- net-misc/openssh
- net-misc/rsync[xattr,acl]
- app-arch/tar[xattr,acl]
- net-misc/bridge-utils
- virtual/awk
- )
- virtual/udev
- sys-apps/attr
- "
-
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- "
-
-src_prepare() {
-
- # Set default OSTEMPLATE on gentoo
- sed -i -e 's:=redhat-:=gentoo-:' etc/dists/default || die 'sed on etc/dists/default failed'
- # Set proper udev directory
- sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on src/lib/dev.c failed'
-}
-
-src_configure() {
-
- econf \
- --localstatedir=/var \
- --enable-udev \
- --enable-bashcomp \
- --enable-logrotate \
- --with-vz \
- $(use_with ploop) \
- --with-cgroup
-}
-
-src_install() {
-
- emake DESTDIR="${D}" udevdir="$(get_udevdir)"/rules.d install install-gentoo
-
- # install the bash-completion script into the right location
- rm -rf "${ED}"/etc/bash_completion.d
- newbashcomp etc/bash_completion.d/vzctl.sh ${PN}
-
- # We need to keep some dirs
- keepdir /vz/{dump,lock,root,private,template/cache}
- keepdir /etc/vz/names /var/lib/vzctl/veip
-}
-
-pkg_postinst() {
- einfo "This vzctl release required kernel above 2.6.32.92"
-
- einfo "If you have checkpoint suspend/restore feature in vanilla kernel"
- einfo "please install "sys-process/criu" "
- einfo "This is experimental and not stable ( in gentoo ) now"
-
- einfo "if you have work with .xz compressed template, please install app-arch/xz-utils"
- einfo "if you have check signature donwloaded template - install gpg "
-}
diff --git a/sys-cluster/vzctl/vzctl-4.9.3.ebuild b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
index 2db41861a115..2db41861a115 100644
--- a/sys-cluster/vzctl/vzctl-4.9.3.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4.ebuild